<?php
use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for AddEmccFeatureConfigReq StructType
 * @subpackage Structs
 */
class AddEmccFeatureConfigReq extends APIRequest
{
    /**
     * The emccFeatureConfig
     * @var XEmccFeatureConfig
     */
    public $emccFeatureConfig;
    /**
     * Constructor method for AddEmccFeatureConfigReq
     * @uses AddEmccFeatureConfigReq::setEmccFeatureConfig()
     * @param XEmccFeatureConfig $emccFeatureConfig
     */
    public function __construct(XEmccFeatureConfig $emccFeatureConfig = null)
    {
        $this
            ->setEmccFeatureConfig($emccFeatureConfig);
    }
    /**
     * Get emccFeatureConfig value
     * @return XEmccFeatureConfig|null
     */
    public function getEmccFeatureConfig()
    {
        return $this->emccFeatureConfig;
    }
    /**
     * Set emccFeatureConfig value
     * @param XEmccFeatureConfig $emccFeatureConfig
     * @return AddEmccFeatureConfigReq
     */
    public function setEmccFeatureConfig(XEmccFeatureConfig $emccFeatureConfig = null)
    {
        $this->emccFeatureConfig = $emccFeatureConfig;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return AddEmccFeatureConfigReq
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
